Bug 485930 - 0.124: intel modesetting: BUG: bad unlock balance detected!
0.124: intel modesetting: BUG: bad unlock balance detected!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
: 486498 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 09:57 EST by Tom London
Modified: 2010-06-28 07:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:18:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages booting 0.124 with BUG (114.31 KB, text/plain)
2009-02-17 09:57 EST, Tom London
no flags Details

  None (edit)
Description Tom London 2009-02-17 09:57:34 EST
Created attachment 332224 [details]
/var/log/messages booting 0.124 with BUG

Description of problem:
See this every time I boot kernel-2.6.29-0.124.rc5.fc11.x86_64.

System is Thinkpad X200 with Intel graphics.

Feb 17 06:34:09 tlondon kernel:
Feb 17 06:34:09 tlondon kernel: =====================================
Feb 17 06:34:09 tlondon kernel: [ BUG: bad unlock balance detected! ]
Feb 17 06:34:09 tlondon kernel: -------------------------------------
Feb 17 06:34:09 tlondon kernel: Xorg/2860 is trying to release lock (&dev->struct_mutex) at:
Feb 17 06:34:09 tlondon kernel: [<ffffffff8137a06a>] mutex_unlock+0x9/0xb
Feb 17 06:34:09 tlondon kernel: but there are no more locks to release!
Feb 17 06:34:09 tlondon kernel:
Feb 17 06:34:09 tlondon kernel: other info that might help us debug this:
Feb 17 06:34:09 tlondon kernel: 1 lock held by Xorg/2860:
Feb 17 06:34:09 tlondon kernel: #0:  (&dev->mode_config.mutex){--..}, at: [<ffffffffa001df00>] drm_mode_cursor_ioctl+0x6c/0x155 [drm]
Feb 17 06:34:09 tlondon kernel:
Feb 17 06:34:09 tlondon kernel: stack backtrace:
Feb 17 06:34:09 tlondon kernel: Pid: 2860, comm: Xorg Not tainted 2.6.29-0.124.rc5.fc11.x86_64 #1
Feb 17 06:34:09 tlondon kernel: Call Trace:
Feb 17 06:34:09 tlondon kernel: [<ffffffff8137a06a>] ? mutex_unlock+0x9/0xb
Feb 17 06:34:09 tlondon kernel: [<ffffffff8106d22c>] print_unlock_inbalance_bug+0xd6/0xe1
Feb 17 06:34:09 tlondon kernel: [<ffffffff8106d2e6>] lock_release_non_nested+0xaf/0x1e9
Feb 17 06:34:09 tlondon kernel: [<ffffffff8137a4f0>] ? __mutex_lock_common+0x330/0x394
Feb 17 06:34:09 tlondon kernel: [<ffffffff8106b6ea>] ? trace_hardirqs_on_caller+0x12f/0x153
Feb 17 06:34:09 tlondon kernel: [<ffffffff8137a06a>] ? mutex_unlock+0x9/0xb
Feb 17 06:34:09 tlondon kernel: [<ffffffff8106d57d>] lock_release+0x15d/0x189
Feb 17 06:34:09 tlondon kernel: [<ffffffff81379fed>] __mutex_unlock_slowpath+0xc2/0x136
Feb 17 06:34:09 tlondon kernel: [<ffffffff8137a06a>] mutex_unlock+0x9/0xb
Feb 17 06:34:09 tlondon kernel: [<ffffffffa0054a21>] intel_crtc_cursor_set+0x239/0x279 [i915]
Feb 17 06:34:09 tlondon kernel: [<ffffffff8137a06a>] ? mutex_unlock+0x9/0xb
Feb 17 06:34:09 tlondon kernel: [<ffffffffa001de94>] ? drm_mode_cursor_ioctl+0x0/0x155 [drm]
Feb 17 06:34:09 tlondon kernel: [<ffffffffa001df91>] drm_mode_cursor_ioctl+0xfd/0x155 [drm]
Feb 17 06:34:09 tlondon kernel: [<ffffffffa0012d5f>] drm_ioctl+0x1f9/0x292 [drm]
Feb 17 06:34:09 tlondon kernel: [<ffffffff810e6082>] vfs_ioctl+0x6a/0x82
Feb 17 06:34:09 tlondon kernel: [<ffffffff810e6500>] do_vfs_ioctl+0x466/0x4a7
Feb 17 06:34:09 tlondon kernel: [<ffffffff810e6592>] sys_ioctl+0x51/0x74
Feb 17 06:34:09 tlondon kernel: [<ffffffff8101123a>] system_call_fastpath+0x16/0x1b


Version-Release number of selected component (if applicable):
kernel-2.6.29-0.124.rc5.fc11.x86_64

How reproducible:
Every boot?

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2009-02-19 19:42:18 EST
*** Bug 486498 has been marked as a duplicate of this bug. ***
Comment 2 Bug Zapper 2009-06-09 07:27:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 09:00:07 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:18:28 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.